#ifndef REPORTMANAGER_H_INCLUDED
#define REPORTMANAGER_H_INCLUDED

#include <bundle.h>

struct bundle *generate_status_report(
	const struct bundle * const bundle,
	const struct bundle_status_report report);
struct bundle *generate_custody_signal(
	const struct bundle * const bundle,
	const struct bundle_custody_signal signal);

struct bundle_administrative_record *parse_administrative_record(
	const struct bundle * const record_bundle);
void free_administrative_record(struct bundle_administrative_record *record);

#endif /* REPORTMANAGER_H_INCLUDED */
