#include <stdlib.h>
#include <unity_fixture.h>
#include <upcn.h>

TEST_GROUP(malloc);

TEST_SETUP(malloc)
{
}

TEST_TEAR_DOWN(malloc)
{
}

TEST(malloc, alloc_huge)
{
	char *mem = malloc(1024);

	TEST_ASSERT_NOT_NULL(mem);
	free(mem);
	mem = malloc(35000);
	TEST_ASSERT_NOT_NULL(mem);
	free(mem);
	mem = malloc(65537);
	TEST_ASSERT_NULL(mem);
	free(mem);
}

TEST_GROUP_RUNNER(malloc)
{
	RUN_TEST_CASE(malloc, alloc_huge);
}
