#include <unity_fixture.h>
#include <upcn.h>

TEST_GROUP(upcn);

TEST_SETUP(upcn)
{
}

TEST_TEAR_DOWN(upcn)
{
}

TEST(upcn, clock)
{
	clock_set_timestamp(1234);
	TEST_ASSERT_EQUAL_UINT64(1234, clock_get_timestamp());
	clock_reset();
	TEST_ASSERT_EQUAL_UINT64(0, clock_get_timestamp());
}

TEST(upcn, sprintu64)
{
	char tst[22];

	sprintu64(tst, 0);
	TEST_ASSERT_EQUAL_STRING("0", tst);
	sprintu64(tst, 18446744073709551615ULL);
	TEST_ASSERT_EQUAL_STRING("18446744073709551615", tst);
}

TEST_GROUP_RUNNER(upcn)
{
	RUN_TEST_CASE(upcn, clock);
	RUN_TEST_CASE(upcn, sprintu64);
}
