
unity_SOURCES := $(wildcard components/test/unity/src/*.c)

unity_OBJECTS := $(patsubst components/test/unity/src/%.c,components/test/unity/build/%.o, \
                 $(unity_SOURCES))

$(eval $(call toolchain,components/test/unity/build/libunity.a))

components/test/unity/build/%.o: components/test/unity/src/%.c
	$(call cmd,cc_o_c)

components/test/unity/build/libunity.a: OBJECTS := $(unity_OBJECTS)
components/test/unity/build/libunity.a: CFLAGS  += -Icomponents/test/unity/include
components/test/unity/build/libunity.a: $(unity_OBJECTS)
components/test/unity/build/libunity.a: | components/test/unity/build
	$(call cmd,ar)

components/test/unity/build:
	$(call cmd,mkdir)

clean::
	$(call cmd,rm,components/test/unity/build)
