#!/bin/bash

# --codespell --codespellfile tools/checkpatch/spelling.txt \
CHECKPATCH_FLAGS="--no-tree --terse --show-types \
--ignore AVOID_EXTERNS --ignore LINE_CONTINUATIONS --ignore DATE_TIME"

S=0

echo 'Checking components/upcn/include...'
$1 $CHECKPATCH_FLAGS --file components/upcn/include/*.h
S=$(($S + $?))
echo 'Checking components/upcn/src...'
$1 $CHECKPATCH_FLAGS --file components/upcn/src/*.c
S=$(($S + $?))
echo 'Checking components/test...'
$1 $CHECKPATCH_FLAGS --file components/test/include/*.h
S=$(($S + $?))
$1 $CHECKPATCH_FLAGS --file components/test/src/*.c
S=$(($S + $?))
echo 'Checking uPCN tools...'
$1 $CHECKPATCH_FLAGS --file tools/include/*.h
S=$(($S + $?))
$1 $CHECKPATCH_FLAGS --file tools/upcn_connect/*.c
S=$(($S + $?))
$1 $CHECKPATCH_FLAGS --file tools/upcn_test/*.c
S=$(($S + $?))
$1 $CHECKPATCH_FLAGS --file tools/upcn_receive/*.c
S=$(($S + $?))
echo 'Checking RRND tools...'
$1 $CHECKPATCH_FLAGS --file tools/rrnd_proxy/*.c
S=$(($S + $?))
$1 $CHECKPATCH_FLAGS --file tools/rrnd_perf_eval/*.c
S=$(($S + $?))

exit $S
